Ubuntu

GtkFileChooserButton dialog stretched, when user has a really long name saved to bookmark

Reported by Ritesh Khadgaray on 2012-03-16
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
GTK+
Fix Released
Low
One Hundred Papercuts
Undecided
Unassigned
gtk+3.0 (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Saucy
Low
Unassigned

Bug Description

[Impact]

 * file chooser dialog is stretched excessively.

[Test Case]

  1. Add the long bookmark to gtk places

    $ echo "file:///home/ritesh a really real long bookmark with looooooooooooooooooooooooooooooooooooong name">> ~/.gtk-bookmarks

  2. log out and log in
  3. Click on PrintScrn, or run testfilechooserbutton from test suite

Stretched out dialog

[Regression Potential]

 * n/a

[Other Info]

 * Upstream commit - https://git.gnome.org/browse/gtk+/commit/?id=3923ba160594ad5e6c83f861cd5aeaba5e58129c

Changed in gtk+3.0 (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Ritesh Khadgaray (khadgaray) wrote :
Changed in gtk:
importance: Unknown → Medium
status: Unknown → New

The attachment "patch" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Changed in hundredpapercuts:
milestone: none → raring-gtk
Ritesh Khadgaray (khadgaray) wrote :
Changed in gtk:
importance: Medium → Low
Changed in gtk:
status: New → Fix Released
Ritesh Khadgaray (khadgaray) wrote :
Ritesh Khadgaray (khadgaray) wrote :
description: updated
tags: added: precise
no longer affects: gtk+3.0 (Ubuntu Quantal)
no longer affects: gtk+3.0 (Ubuntu Raring)
Changed in gtk+3.0 (Ubuntu Saucy):
importance: Undecided → Low
Changed in gtk+3.0 (Ubuntu Precise):
importance: Undecided → Low
status: New → In Progress
Changed in gtk+3.0 (Ubuntu Saucy):
status: New → In Progress
Changed in gtk+3.0 (Ubuntu):
status: Triaged → Fix Committed
Sebastien Bacher (seb128) wrote :

Thanks, I've uploaded to trusty, saucy and precise, it's waiting on the SRU team next

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+3.0 - 3.8.6-0ubuntu4

---------------
gtk+3.0 (3.8.6-0ubuntu4) trusty; urgency=low

  [ Ritesh Khadgaray ]
  * debian/patches/git_bookmark_ellipsize.patch:
    - GtkFileChooserButton dialog stretched, when user has a really long name
      saved to bookmark (lp: #956855)
 -- Ritesh Khadgaray <email address hidden> Wed, 06 Nov 2013 15:28:06 +0100

Changed in gtk+3.0 (Ubuntu):
status: Fix Committed → Fix Released

Hello Ritesh, or anyone else affected,

Accepted gtk+3.0 into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gtk+3.0/3.4.2-0ubuntu0.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gtk+3.0 (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Well the Saucy SRU is waiting on the one currently in -proposed.

Stéphane Graber (stgraber) wrote :

Hello Ritesh, or anyone else affected,

Accepted gtk+3.0 into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gtk+3.0/3.8.6-0ubuntu3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gtk+3.0 (Ubuntu Saucy):
status: In Progress → Fix Committed
Sebastien Bacher (seb128) wrote :

Could somebody verify that SRU so it can moves to updates...?

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+3.0 - 3.8.6-0ubuntu3

---------------
gtk+3.0 (3.8.6-0ubuntu3) saucy; urgency=low

  [ Ritesh Khadgaray ]
  * debian/patches/git_bookmark_ellipsize.patch:
    - GtkFileChooserButton dialog stretched, when user has a really long name
      saved to bookmark (lp: #956855)
 -- Ritesh Khadgaray <email address hidden> Wed, 06 Nov 2013 15:28:06 +0100

Changed in gtk+3.0 (Ubuntu Saucy):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+3.0 - 3.4.2-0ubuntu0.6

---------------
gtk+3.0 (3.4.2-0ubuntu0.6) precise; urgency=low

  * Merge fix from Albert Astals Cid to not hijack mnemonics for non-menubar
    menus (for example context menus). The standard gtk codepath performs more
    sanity checks that we need. Fixes, for example, the 'R' mnemonic in
    Nautilus (rename). (LP: #896740)

  [ Ritesh Khadgaray ]
  * debian/patches/git_bookmark_ellipsize.patch:
    - GtkFileChooserButton dialog stretched, when user has a really long name
      saved to bookmark (lp: #956855)
 -- Sebastien Bacher <email address hidden> Thu, 15 Nov 2012 15:36:06 +0100

Changed in gtk+3.0 (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.